Bug 1667775 - [RFE] Satellite 6.4 WebUI Capsule documentation link is incorrect
Summary: [RFE] Satellite 6.4 WebUI Capsule documentation link is incorrect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Branding
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-21 03:18 UTC by Basil Wallace
Modified: 2019-08-12 19:40 UTC (History)
9 users (show)

Fixed In Version: tfm-rubygem-foreman_theme_satellite-3.0.1.8-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:02 UTC

Description Basil Wallace 2019-01-21 03:18:22 UTC
Description of problem:
Under the Infrastructure -> Capsules section when you click on the Documentation button you get sent to a non-existent document

Version-Release number of selected component (if applicable):
6.4

How reproducible:
Always

Steps to Reproduce:
1. From WebUI, select: Infrastructure -> Capsules
2. Click Documentation

Actual results:
Links to:
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.4/html/installation_guide/installing_capsule_server

Expected results:
Links to:
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.4/html/installing_capsule_server

Additional info:
The documentation guide for Capsule servers was moved from the main Installation Guide into it's own separate guide, it is no longer under:
/installation_guide/installing_capsule_server
But now under:
/installing_capsule_server

Comment 5 Lukas Zapletal 2019-01-22 08:20:59 UTC
Hello, please use the Capsule component for issues with Capsule itself, this is a WebUI problem.

Comment 6 Walden Raines 2019-02-08 17:58:17 UTC
Isn't this handled in the branding plugin?

Comment 12 Radovan Drazny 2019-03-25 12:37:26 UTC
Verified on Satellite 6.5 Snap 21. The Documentation link on Infrastructure -> Capsules points to https://access.redhat.com/documentation/en-us/red_hat_satellite/6.5/html/installing_capsule_server. This page is currently unavailable, as Sat 6.5 docs are not published yet, but the link is correct when changed to the Sat 6.4 version.

Comment 15 errata-xmlrpc 2019-05-14 12:39:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.